Subject: Re: bug#31475: 25.3; authinfo password backslash problem

From: Michael Albinus <[email-masked]>
Date: Fri, 07 Sep 2018 13:22:18 +0200

Michael Albinus <[email-masked]> writes:

Hi Max,

>> Assumption: 
>>   User's IMAP password has a backslash character ('\') in it.
>>
>> Steps:
>>   1. Setup gnus so it connects to an imap backend
>>   2. Start gnus
>>   3. Enter the username and password of the IMAP account
>>   4. Say yes to saving the credentials in .authinfo
>>   5. Quit emacs
>>   6. Restart emacs
>>   7. M-x gnus
>>   8. Authentication fails
>>
>> The password saved in the .authinfo file has its backlash escaped
>> ('\\').  If the file is edited directly and the extra backslash is removed,
>> authentication works again.
>>
>> In GNU Emacs 25.3.1 (x86_64-apple-darwin16.7.0, NS appkit-1504.83 Version 10.12.6 (Build 16G1036))
>
> I cannot reproduce it here, using
>
> In GNU Emacs 25.2.2 (x86_64-pc-linux-gnu, GTK+ Version 3.22.21)
>
> The following is an extract of nnimap.el, which I have used for testing:
>
> (progn
>   (require 'nnimap)
>   (let ((credentials (nnimap-credentials "address" "imap" "user")))
>     (funcall (nth 2 credentials))))
>
>
> When I run this code snippet from a fresh Emacs started with "emacs -Q",
> I am asked for
>
> IMAP password for user@address: 
>
>
> I enter "test\user" (without the apostrophs). Then I'm asked
>
> Save auth info to file ~/.authinfo [y/n/Ne/?]
>
>
> Now I type "y" (without the apostrophs), and see the result of the
> evaluation in the minibuffer. And in ~/.authinfo, there is a new line
>
> machine address login user port imap password test\user
>
> Looks like expected. Could you pls run the same scenario on your
> machine? Maybe there's a difference because you use macOS, and I use GNU
> Linux.

No reply, so I'm closing this bug.

Best regards, Michael.